MooseX::Meta::Method::Authorized(3)

NAME
MooseX::Meta::Method::Authorized - Authorization in method calls

DESCRIPTION
This trait provides support for verifying authorization before calling a method.

ATTRIBUTES

requires
    This attribute is an array reference with the values that are going to be used by the verifier when checking this invocation.

verifier
    This is the object/class on which the "authorized_do" method is going to be invoked. This is the object responsible for doing the actual verification. It is invoked as:

      $verifier->authorized_do($meth_obj, $code, @_)

    It is expected that this method should die if the authorization is not stablished.

    The default value for this attribute is MooseX::Meta::Method::Authorized::CheckRoles, which will get the current user by calling the "user" method and list the roles given to that user by invoking the "roles" method.

METHOD

wrap
    This role overrides wrap so that the actual method is only invoked after the authorization being checked.

SEE ALSO
MooseX::AuthorizedMethods, Class::MOP::Method

AUTHORS
Daniel Ruoso <daniel@ruoso.com>

With help from rafl and doy from #moose.

COPYRIGHT AND LICENSE
Copyright 2010 by Daniel Ruoso et al

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.